Welcome!

Please read this important information about Spectre and Meltdown vulnerabilities.
Please read this important information about MX sources lists.
News
  • MX Linux on social media: here
  • Mepis support still here
Current releases
  • MX-17 Final release info here
  • MX-16.1 release info here
  • antiX-17 release info here
    New users
    • Please read this first, and don't forget to add system and hardware information to posts!
    • Read Forum Rules

Error on update

Help for Current Versions of MX
Message
Author
penrhynant
Forum Novice
Forum  Novice
Posts: 2
Joined: Tue May 23, 2017 7:42 am

Error on update

#1 Postby penrhynant » Sun Feb 11, 2018 8:42 am

Hi, please could you help me?

I cannot update following the normal way, and it gives me the following information: (54 updates available)

54 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 16.0 kB/163 MB of archives.
After this operation, 4,718 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
WARNING: The following packages cannot be authenticated!
live-usb-maker-gui
Install these packages without verification? [y/N] y
Err http://nl.mxrepo.com/antix/jessie/ jessie/main live-usb-maker-gui all 0.2.1
404 Not Found
E: Failed to fetch http://nl.mxrepo.com/antix/jessie/pool/ ... .1_all.deb 404 Not Found

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

apt-get upgrade complete (or was canceled)

this terminal window can now be closed (press any key to close)

I went to Synaptic and it gives me the same result, and it says that there is a risk, etc, if I install live-usb-maker. I tried to unmark it for install, but that option is disabled for live usb maker. Shall I go ahead and install it? Would it break the system?

Many thanks for your support.

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4037
Joined: Wed Jul 12, 2006 4:05 pm

Re: Error on update

#2 Postby timkb4cq » Sun Feb 11, 2018 11:17 am

live-usb-maker-gui was updated to version 0.2.3 almost a month ago. Do you get any error messages when you run
sudo apt-get update
?
If so, please paste the results back here.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

penrhynant
Forum Novice
Forum  Novice
Posts: 2
Joined: Tue May 23, 2017 7:42 am

Re: Error on update

#3 Postby penrhynant » Wed Feb 14, 2018 4:06 pm

Hi,

thanks for this. I tried it and it didn't work. In the end, I used Synaptic, mark all for update, and then I searched for live-usb-maker and unmarked it. This way, the updates run great, all except for the live-usb-maker. Otherwise, the system didn't allow me to update, as (it seems) the live-usb-maker seems to be corrupt.
I am happy again.
Many thanks again for your reply

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 14449
Age: 59
Joined: Fri Dec 15, 2006 8:07 pm

Re: Error on update

#4 Postby Stevo » Wed Feb 14, 2018 6:21 pm

Do you have antix-archive-keyring installed? That's supposed to get rid of the authentication error for packages from the antiX repo, which is probably why you can't install it...but since the keyring is also from antiX, you have a Catch-22 situation. Plus I'm not sure if it supports Jessie. If it does, manually download and install the deb.

You can also try the checkaptgpg tool to see if it gets the repo key automagically.


Return to “MX Help”

Who is online

Users browsing this forum: No registered users and 4 guests